<?php
/*******************************************************
｜index.php -               　Ver.1.0      2010/08/28  |
｜　　　　　                                           |
｜メインプログラム                                     |
｜-----------------------------------------------------|
｜　　　　　                                           |
｜Copyright (C)      2010 TUMO NET システム            |
｜-----------------------------------------------------|
｜-----------------------------------------------------|
｜個人、法人を問わず無料でご利用頂けます。             |
｜商用利用の場合はライセンスを取得して下さい。         |
｜詳しくは下記の連絡先へお問い合わせください。         |
｜TUMO NET システム                                    |
｜URL ：http://www.tumonet.com                         |
｜mail：info@tumonet.com                               |
｜-----------------------------------------------------|
｜本プログラムをご利用にあたっていかなる問題が生じても |
｜当社では保証できません。                             |
｜自己責任の元でご使用頂きますようお願いします。       |
｜プログラムの問題が生じた場合、ご一報頂ければ可能な限 |
｜り修正を行います。                                   |
********************************************************/

// 設定ファイルの読み込み
require_once("lib/setting.php");
require_once("lib/item.php");
require_once("lib/lib.php");

// エラー表示をしない
error_reporting(0);

// リクエストデータが送られてきたかどうかチェック
if( $_SERVER["REQUEST_METHOD"]=="POST" )
{
	$loop = 1;
	$ERR_CODE[1] = 0;
	$ERR_CODE[2] = 0;
	$ERR_CODE[3] = 0;
	$ERR_CODE[4] = 0;
	$ZIP_CODE = 0;

	// 住所データの自動入力処理かどうか確認
	foreach( $ITEM as $item ){
		if( !strcmp( $item['type'], "zip" ) and $_POST[$item['name'] . "_ent"] ){
			$ZIP_CODE = 1;
		}
	}
	// 送信されたデータを処理する
	foreach( $ITEM as $item ){
		// エラーナンバー初期化
		$EMPT_NO[$loop] = 0;
		$DATE_NO[$loop] = 0;
		$COMP_NO[$loop] = 0;
		$ICHK_NO[$loop] = 0;

		if( $ZIP_CODE==0 ){
			// 必須項目が正しく入力されているか
			if( $item['empt'] == 1 and !strcmp( $item['type'], "zip" ) ){
				// 住所ボックスの時
				$err = 0;
				if( !isset( $_POST[$item['name']] ) or !strlen( $_POST[$item['name']] ) ){
					// 郵便番号が入力されていない
					$err = 1;
				}
				else if( !isset( $_POST[$item['name'].'_pref'] ) or !strlen( $_POST[$item['name'].'_pref'] ) ){
					// 都道府県が入力されていない
					$err = 1;
				}
				else if( !isset( $_POST[$item['name'].'_city'] ) or !strlen( $_POST[$item['name'].'_city'] ) ){
					// 市区町村が入力されていない
					$err = 1;
				}
				else if( !isset( $_POST[$item['name'].'_strt'] ) or !strlen( $_POST[$item['name'].'_strt'] ) ){
					// 番地が入力されていない
					$err = 1;
				}
				if( $err == 1 ){
					$EMPT_NO[$loop] = 1;
					$ERR_CODE[1] = 1;
				}
			}else if( $item['empt'] == 1 and !strcmp( $item['type'], "checkbox" ) ){
				// チェックボックスの時
				$i = 1;
				$err = 0;
				foreach( $item['sel'] as $chkbox ){
					if( isset( $_POST[$item['name'].$i] ) and strlen( $_POST[$item['name'].$i] ) ){
						$err = 0;
						break;
					}else{
						$err = 1;
					}
					$i++;
				}
				if( $err == 1 ){
					$EMPT_NO[$loop] = 1;
					$ERR_CODE[1] = 1;
				}
			}else if( $item['empt'] == 1 ){
				// 住所ボックス、チェックボックス以外の時
				if( isset( $_POST[$item['name']] ) and strlen( $_POST[$item['name']] ) ){
					$EMPT_NO[$loop] = 0;
					if( !strcmp( $item['type'], "select" ) and !strcmp( $_POST[$item['name']], "nosel" ) ){
						$EMPT_NO[$loop] = 1;
						$ERR_CODE[1] = 1;
					}
				}else{
					$EMPT_NO[$loop] = 1;
					$ERR_CODE[1] = 1;
				}
			}
			if( !strcmp( $item['type'], "date" ) ){
			// 日付データが正当かどうかチェック
				if( !checkdate( $_POST[$item['name']."_m"], $_POST[$item['name']."_d"], $_POST[$item['name']."_y"] ) ){
					$DATE_NO[$loop] = 1;
					$ERR_CODE[4] = 1;
				}
			}else{
				// 入力データが正当かどうかチェック
				if( $item['ichk'] > 0 and $item['ichk'] < 10 ){
					if( checkPostData( $item['ichk'], $_POST[$item['name']] ) ){
						$ICHK_NO[$loop] = 0;
					}else{
						$ICHK_NO[$loop] = $item['ichk'];
						$ERR_CODE[2] = 1;
					}
				}
				// 入力データの比較
				if( $item['comp'] > 0 ){
					// テキストエリアの時
					if( strcmp( $_POST[$item['name']], $_POST[$ITEM[$item['comp']]['name']] ) ){
						$COMP_NO[$loop] = $item['comp'];
						$ERR_CODE[3] = 1;
					}
				}
			}
		}
		// 入力されたデータを取得する
		if( !strcmp( $item['type'], "text" ) or !strcmp( $item['type'], "textarea" ) ){
			// テキスト、テキストエリア
			$ITEM[$loop]['val'] = escTStr( $_POST[$item['name']] );
		}else if( !strcmp( $item['type'], "radio" ) or !strcmp( $item['type'], "select" ) ){
			// ラジオボックス、セレクトメニュー
			$i = 1;
			foreach( $item['val'] as $value ){
				if( !strcmp( $value, $_POST[$item['name']] )){
					$ITEM[$loop]['sel'] = $i;
					break;
				}
				else if( !strcmp( $item['type'], "select" ) and !strcmp( $_POST[$item['name']], "nosel" ) ){
					$ITEM[$loop]['sel'] = 0;
					break;
				}
				$i++;
			}
		}else if( !strcmp( $item['type'], "checkbox" ) ){
			// チェックボックス
			$i = 1;
			foreach( $item['val'] as $value ){
				if( !strcmp( $_POST[$item['name'].$i], $value ) ){
					$ITEM[$loop]['sel'][$i] = 1;
				}else{
					$ITEM[$loop]['sel'][$i] = 0;
				}
				$i++;
			}
		}else if( !strcmp( $item['type'], "date" ) ){
			// 日付
			$ITEM[$loop]['val']['y'] = $_POST[$item['name']."_y"];
			$ITEM[$loop]['val']['m'] = $_POST[$item['name']."_m"];
			$ITEM[$loop]['val']['d'] = $_POST[$item['name']."_d"];
		}else if( !strcmp( $item['type'], "zip" ) ){
			// 住所
			$ITEM[$loop]['val']['zip'] = escTStr( $_POST[$item['name']] );
			$ITEM[$loop]['val']['pref'] = $_POST[$item['name']."_pref"];
			$ITEM[$loop]['val']['city'] = escTStr( $_POST[$item['name']."_city"] );
			$ITEM[$loop]['val']['strt'] = escTStr( $_POST[$item['name']."_strt"] );
			$ITEM[$loop]['val']['rest'] = escTStr( $_POST[$item['name']."_rest"] );
		}
		$loop++;
	}
	if( $ZIP_CODE==1 ){
		$strForm_ctl = createReFormView();
		// テンプレートHTMLにタイトルとフォームを挿入
		$str = createHtmlPage($PAGE['template'], $PAGE['title'], $strForm_ctl);
	}
	else if( $ERR_CODE[1]==0 and $ERR_CODE[2]==0 and $ERR_CODE[3]==0 and $ERR_CODE[4]==0 ){
		// YES 内容確認画面を表示
		$strForm_ctl = createConfirmationView();
		// テンプレートHTMLにタイトルとフォームを挿入
		$str = createHtmlPage($PAGE['template'], $PAGE['title'], $strForm_ctl);
	}else{
		// NO 再入力画面を表示
		$strForm_ctl = createFormView();
		// テンプレートHTMLにタイトルとフォームを挿入
		$str = createHtmlPage($PAGE['template'], $PAGE['title'], $strForm_ctl);
	}
}
else
{
	// リクエストなし---初期フォームの入力部品作成
	$strForm_ctl = createFormView();
	// テンプレートHTMLにタイトルとフォームを挿入
	$str = createHtmlPage($PAGE['template'], $PAGE['title'], $strForm_ctl);
}

echo $str

?>
