<?php
/*******************************************************
｜item.php -                　Ver.1.0      2010/08/28  |
｜                                                     |
｜入力部品構成ファイル                                 |
｜-----------------------------------------------------|
｜                                                     |
｜Copyright (C)      2010 TUMO NET システム            |
｜-----------------------------------------------------|
｜-----------------------------------------------------|
｜個人、法人を問わず無料でご利用頂けます。             |
｜商用利用の場合はライセンスを取得して下さい。         |
｜詳しくは下記の連絡先へお問い合わせください。         |
｜TUMO NET システム                                    |
｜URL ：http://www.tumonet.com                         |
｜mail：info@tumonet.com                               |
｜-----------------------------------------------------|
｜本プログラムをご利用にあたっていかなる問題が生じても |
｜当社では保証できません。                             |
｜自己責任の元でご使用頂きますようお願いします。       |
｜プログラムの問題が生じた場合、ご一報頂ければ可能な限 |
｜り修正を行います。                                   |
********************************************************/

//======================================================
//  $ITEMの構成
//------------------------------------------------------
// title     タグ：項目名として表示されます
// type      タグ：入力部品の種類
//                 ○text        1行テキスト部品
//                 ○textarea    複数行テキスト部品
//                 ○radio       ラジオボックス
//                 ○checkbox    チェックボックス
//                 ○select      セレクトボックス
//                 ○date        日付部品
//                 ○zip         郵便番号自動入力部品 (name, emp, hint のみ使用可能。)
//
// name      タグ：[input]タグなどの[name]属性として使用
//                 ※「mail」を指定すると相手先のメールとして使用します。
//                    確認メール(控え)を利用するときはご利用下さい。
//
// empt      タグ：必須項目として使用
//                 0:しない(この行を指定しなくてもOK)
//                 1:する
//
// msub      タグ：入力値をメールの件名として使用
//                 0:しない(この行を指定しなくてもOK)
//                 1:する
//
// hint      タグ：項目の補足説明を表示します
//
// comp      タグ：指定番号の部品と内容が一致するかチェック
//                 0  ：しない (この行を指定しなくてもOK)
//                 1～：する(項目の番号を指定)
//                 ※ チェックをするとき一致しなければ再入力を返す
//
// ichk      タグ：入力内容が正しいかチェック
//                 0：しない (この行を指定しなくてもOK)
//                 1：メールアドレス
//                 2：URL
//                 3：郵便番号
//                 4：電話番号
//                 5：半角英数字
//                 6：半角英字
//                 7：半角数字
//                 8：ひらがな
//                 9：全角カタカナ
//
// alph      タグ：入力文字タイプの指定
//                 0：指定なし (この行を指定しなくてもOK)
//                 1：半角英数のみ
//                 2:全角入力
//
// tab       タグ：タブインデックス番号
//
// val       タグ：[value]属性の値
//
//------------------------------------------------------
// ※text項目専用
// len       タグ：text項目の[size]属性に使用 (41が最大値です)
// max       タグ：text項目の[maxlength]属性に使用
//------------------------------------------------------
// ※textarea項目専用
// cols      タグ：textarea項目の[cols]属性に使用 (35が最大値です)
// rows      タグ：textarea項目の[rows]属性に使用
//------------------------------------------------------
// ※radio項目、checkbox項目専用
// brk       タグ：radiobox、checkboxを改行して表示する
//------------------------------------------------------
// ※radio項目、checkbox項目、select項目専用
// val[1～]  タグ：選択系の選択項目名として表示する
// sel[1～]  タグ：選択系のチェック付加の指定
//------------------------------------------------------
// ※select項目専用
// size      タグ：select項目の行数（デフォルトは１）
//======================================================

// 入力部品の構成定義 １

$ITEM[1]['title'] = "送付先住所";
$ITEM[1]['type'] = "zip";
$ITEM[1]['name'] = "zip";
$ITEM[1]['hint'][1] = "郵便番号を入力して下さい";
$ITEM[1]['empt'] = 1;

$ITEM[2]['title'] = "希望日";
$ITEM[2]['type'] = "date";
$ITEM[2]['name'] = "hdate";

$ITEM[3]['title'] = "メールアドレス";
$ITEM[3]['type'] = "text";
$ITEM[3]['name'] = "mail";
$ITEM[3]['hint'][1] = "ご連絡先メールアドレスを入力して下さい";
$ITEM[3]['comp'] = 3;
$ITEM[3]['empt'] = 1;
$ITEM[3]['ichk'] = 1;
$ITEM[3]['len'] = 41;
$ITEM[3]['max'] = 50;
$ITEM[3]['alph'] = 1;

$ITEM[4]['title'] = "メールアドレス 確認";
$ITEM[4]['type'] = "text";
$ITEM[4]['name'] = "cmail";
$ITEM[4]['hint'][1] = '確認用のメールアドレスを入力して下さい';
$ITEM[4]['empt'] = 1;
$ITEM[4]['len'] = 41;
$ITEM[4]['max'] = 50;
$ITEM[4]['alph'] = 1;

$ITEM[5]['title'] = "お問い合わせ内容";
$ITEM[5]['type'] = "textarea";
$ITEM[5]['name'] = "naiyo";
$ITEM[5]['hint'][1] = "お問い合わせ内容を記入して下さい";
$ITEM[5]['empt'] = 1;
$ITEM[5]['cols'] = 35;
$ITEM[5]['rows'] = 5;
$ITEM[5]['alph'] = 2;

$ITEM[6]['title'] = "種別";
$ITEM[6]['type'] = "radio";
$ITEM[6]['name'] = "sybetu";
$ITEM[6]['hint'][1] = "種別を選んでください";
$ITEM[6]['empt'] = 0;
$ITEM[6]['brk'] = 0;
$ITEM[6]['val'][1] = "種別１";
$ITEM[6]['val'][2] = "種別２";
$ITEM[6]['val'][3] = "種別３";
$ITEM[6]['val'][4] = "種別４";
$ITEM[6]['val'][5] = "種別５";
$ITEM[6]['sel'] = 1;

$ITEM[7]['title'] = "オプション";
$ITEM[7]['type'] = "checkbox";
$ITEM[7]['name'] = "option";
$ITEM[7]['hint'][1] = "オプションを選択してください";
$ITEM[7]['empt'] = 0;
$ITEM[7]['brk'] = 1;
$ITEM[7]['val'][1] = "オプション１";
$ITEM[7]['val'][2] = "オプション２";
$ITEM[7]['val'][3] = "オプション３";
$ITEM[7]['val'][4] = "オプション４";
$ITEM[7]['val'][5] = "オプション５";
$ITEM[7]['sel'][1] = 1;
$ITEM[7]['sel'][2] = 0;
$ITEM[7]['sel'][3] = 0;
$ITEM[7]['sel'][4] = 0;
$ITEM[7]['sel'][5] = 0;

$ITEM[8]['title'] = "地域";
$ITEM[8]['type'] = "select";
$ITEM[8]['name'] = "area";
$ITEM[8]['hint'][1] = "地域を選択してください";
$ITEM[8]['empt'] = 0;
$ITEM[8]['val'][1] = "東部";
$ITEM[8]['val'][2] = "西部";
$ITEM[8]['val'][3] = "北部";
$ITEM[8]['val'][4] = "南部";
$ITEM[8]['sel'] = 1;
$ITEM[8]['alph'] = 1;
$ITEM[8]['size'] = 1;


/*******************************************************
// 入力部品の構成定義 ２

以下のように定義することもできます

$i=1;
$ITEM[$i]['title'] = "送付先住所";
$ITEM[$i]['type'] = "zip";
$ITEM[$i]['name'] = "zip";
$ITEM[$i]['hint'][1] = "郵便番号を入力して下さい";
$ITEM[$i]['empt'] = 1;

$i++;
$ITEM[$i]['title'] = "希望日";
$ITEM[$i]['type'] = "date";
$ITEM[$i]['name'] = "hdate";

$i++;
$ITEM[$i]['title'] = "メールアドレス";
$ITEM[$i]['type'] = "text";
$ITEM[$i]['name'] = "mail";
$ITEM[$i]['hint'][1] = "ご連絡先メールアドレスを入力して下さい";
$ITEM[$i]['comp'] = 3;
$ITEM[$i]['empt'] = 1;
$ITEM[$i]['ichk'] = 1;
$ITEM[$i]['len'] = 41;
$ITEM[$i]['max'] = 50;
$ITEM[$i]['alph'] = 1;

$i++;
$ITEM[$i]['title'] = "メールアドレス 確認";
$ITEM[$i]['type'] = "text";
$ITEM[$i]['name'] = "cmail";
$ITEM[$i]['hint'][1] = '確認用のメールアドレスを入力して下さい';
$ITEM[$i]['empt'] = 1;
$ITEM[$i]['len'] = 41;
$ITEM[$i]['max'] = 50;
$ITEM[$i]['alph'] = 1;

$i++;
$ITEM[$i]['title'] = "お問い合わせ内容";
$ITEM[$i]['type'] = "textarea";
$ITEM[$i]['name'] = "naiyo";
$ITEM[$i]['hint'][1] = "お問い合わせ内容を記入して下さい";
$ITEM[$i]['empt'] = 1;
$ITEM[$i]['cols'] = 35;
$ITEM[$i]['rows'] = 5;
$ITEM[$i]['alph'] = 2;

$i++;
$ITEM[$i]['title'] = "種別";
$ITEM[$i]['type'] = "radio";
$ITEM[$i]['name'] = "sybetu";
$ITEM[$i]['hint'][1] = "種別を選んでください";
$ITEM[$i]['empt'] = 0;
$ITEM[$i]['brk'] = 0;
$ITEM[$i]['val'][1] = "種別１";
$ITEM[$i]['val'][2] = "種別２";
$ITEM[$i]['val'][3] = "種別３";
$ITEM[$i]['val'][4] = "種別４";
$ITEM[$i]['val'][5] = "種別５";
$ITEM[$i]['sel'] = 1;

$i++;
$ITEM[$i]['title'] = "オプション";
$ITEM[$i]['type'] = "checkbox";
$ITEM[$i]['name'] = "option";
$ITEM[$i]['hint'][1] = "オプションを選択してください";
$ITEM[$i]['empt'] = 0;
$ITEM[$i]['brk'] = 1;
$ITEM[$i]['val'][1] = "オプション１";
$ITEM[$i]['val'][2] = "オプション２";
$ITEM[$i]['val'][3] = "オプション３";
$ITEM[$i]['val'][4] = "オプション４";
$ITEM[$i]['val'][5] = "オプション５";
$ITEM[$i]['sel'][1] = 1;
$ITEM[$i]['sel'][2] = 0;
$ITEM[$i]['sel'][3] = 0;
$ITEM[$i]['sel'][4] = 0;
$ITEM[$i]['sel'][5] = 0;

$i++;
$ITEM[$i]['title'] = "地域";
$ITEM[$i]['type'] = "select";
$ITEM[$i]['name'] = "area";
$ITEM[$i]['hint'][1] = "地域を選択してください";
$ITEM[$i]['empt'] = 0;
$ITEM[$i]['val'][1] = "東部";
$ITEM[$i]['val'][2] = "西部";
$ITEM[$i]['val'][3] = "北部";
$ITEM[$i]['val'][4] = "南部";
$ITEM[$i]['sel'] = 1;
$ITEM[$i]['alph'] = 1;
$ITEM[$i]['size'] = 1;

*******************************************************/
?>
