<?php
/*******************************************************
｜lib.php -                 　Ver.1.0      2010/08/28  |
｜　　　　　                                           |
｜汎用関数ライブラリー                                 |
｜-----------------------------------------------------|
｜　　　　　                                           |
｜Copyright (C)      2010 TUMO NET システム            |
｜-----------------------------------------------------|
｜-----------------------------------------------------|
｜個人、法人を問わず無料でご利用頂けます。             |
｜商用利用の場合はライセンスを取得して下さい。         |
｜詳しくは下記の連絡先へお問い合わせください。         |
｜TUMO NET システム                                    |
｜URL ：http://www.tumonet.com                         |
｜mail：info@tumonet.com                               |
｜-----------------------------------------------------|
｜本プログラムをご利用にあたっていかなる問題が生じても |
｜当社では保証できません。                             |
｜自己責任の元でご使用頂きますようお願いします。       |
｜プログラムの問題が生じた場合、ご一報頂ければ可能な限 |
｜り修正を行います。                                   |
********************************************************/

function TSendMail($body)
{
	global $T_MAIL;

	// 半角カタカナを全角カタカナに変換する（文字化け回避）
	$T_MAIL['subject'] = mb_convert_kana( $T_MAIL['subject'], "K", "UTF-8" );
	$body = mb_convert_kana( $body, "K", "UTF-8" );

	// 通常のメール送信
	if( $T_MAIL['smtp'] == 0 ){
		header( "Content-Type: text/html;charset=UTF-8" );
		mb_language( "Japanese" );
		mb_internal_encoding( "UTF-8" );
		mb_detect_order( "ASCII, JIS, UTF-8, EUC-JP, SJIS" );
		
		$tfrom ="From:" . mb_encode_mimeheader($T_MAIL['name']) . "<" . $T_MAIL['from'] . ">";

		// 控えメールの送信
		if( $T_MAIL['res'] == 1 and isset( $T_MAIL['res_to'] ) ){
			$res_body = $T_MAIL['res_head'] . "\n" . $body . $T_MAIL['res_foot'];
			if( !mb_send_mail( $T_MAIL['res_to'], $T_MAIL['res_sub'], $res_body, $tfrom ) ){
				return false;
			}
		}
		return mb_send_mail( $T_MAIL['to'], $T_MAIL['subject'], $body, $tfrom );
	}

	// SMTP送信を利用する
	require_once('qdmail.php');
	require_once('qdsmtp.php');

	$mail = new Qdmail();

	if( $T_MAIL['qderr'] == 0 ){
		$mail -> errorDisplay( false );
	}
	$mail -> allwaysBcc( null );
	
	$mail -> smtp(true);

	$param = array(
	    'host'=>$T_MAIL['host'],		// メールサーバー
	    'port'=>$T_MAIL['port'],		// これはSMTPAuthの例。認証が必要ないなら　25　でＯＫ。
	    'from'=>$T_MAIL['from'],		// Return-path: になります。
	    'protocol'=>$T_MAIL['protocol'],// 認証が必要ないなら、'SMTP'
	    'user'=>$T_MAIL['user'], 		// SMTPサーバーのユーザーID
	    'pass'=>$T_MAIL['pass'], 		// SMTPサーバーの認証パスワード
	);
	$mail -> timeZone( '+0900' );		// 日本時間の場合
	$mail -> smtpServer( $param );
	$mail -> subject( $T_MAIL['subject'] );
	$mail -> to( $T_MAIL['to'] );
	$mail -> text( $body );
	$mail -> from( $T_MAIL['from'], $T_MAIL['name'] );

	// 控えメールの送信
	if( $T_MAIL['res'] == 1 and isset( $T_MAIL['res_to'] ) ){
		$res_mail = new Qdmail();
	
		$res_body = $T_MAIL['res_head'] . "\n" . $body . $T_MAIL['res_foot'];

		if( $T_MAIL['qderr'] == 0 ){
			$res_mail -> errorDisplay( false );
		}
		$res_mail -> allwaysBcc( null );
		
		$res_mail -> smtp(true);
	
		$res_param = array(
		    'host'=>$T_MAIL['host'],		// メールサーバー
		    'port'=>$T_MAIL['port'],		// これはSMTPAuthの例。認証が必要ないなら　25　でＯＫ。
		    'from'=>$T_MAIL['from'],		// Return-path: になります。
		    'protocol'=>$T_MAIL['protocol'],// 認証が必要ないなら、'SMTP'
		    'user'=>$T_MAIL['user'], 		// SMTPサーバーのユーザーID
		    'pass'=>$T_MAIL['pass'], 		// SMTPサーバーの認証パスワード
		);
		$res_mail -> timeZone( '+0900' );		// 日本時間の場合
		$res_mail -> smtpServer( $res_param );
		$res_mail -> subject( $T_MAIL['res_sub'] );
		$res_mail -> to( $T_MAIL['res_to'] );
		$res_mail -> text( $res_body );
		$res_mail -> from( $T_MAIL['from'], $T_MAIL['name'] );

		if( !$res_mail ->send() ){
			return false;
		}
	}
	return $mail ->send();
}

function createReFormView()
{
	global $ITEM;
	global $BTN;
	global $FIXSTR;
	global $ERRMSG;
	global $ERR_CODE;
	global $EMPT_NO;
	global $ICHK_NO;
	global $COMP_NO;
	global $DATE_NO;
	
	// 説明追加
	$str = '<div class="form_style"><div class="comment">必要項目を入力の上、「' . $BTN['submit'] .  '」ボタンを押してください。<br><b><font color="red">' . $FIXSTR['empt'] . '</font></b> は必ず入力して下さい。</div>' . "\n";

	// フォームの入力部品作成開始
	$str .= '<form method="POST" action="'.$_SERVER["PHP_SELF"].'">'."\n";
	// タブインデックスの初期値設定
	$INDEX = 1;
	// ユーザー定義のコントロール作成
	foreach( $ITEM as $part ){
		// タブインデックス値の設定
		if( !isset($part['tab']) ){
			$part['tab'] = $INDEX * 100;
		}
		// 項目名を表示
		$str .= '<dl><dt>' . $part['title'] . '</dt><dd>';
		
		// 補足説明の付加
		if( isset($part['hint'][1]) ){
			foreach($part['hint'] as $value ){
				$str .= '<b class="hint">' . $value . "</b><br>";
			}
			$str .= "<br>";
		}
		// 必須項目の設定
		if( isset($part['empt']) ){
			if( $part['empt'] == 1 ){
				$str .= '<b class="empty">' . $FIXSTR['empt'] . '</b>';
			}else if( !strcmp( $part['type'], "date" ) or !strcmp( $part['type'], "text" ) or !strcmp( $part['type'], "textarea" ) ){
				$str .= '<b class="n_empty">' . $FIXSTR['empt'] . '</b>';
			}
		}else if( !strcmp( $part['type'], "date" ) or !strcmp( $part['type'], "text" ) or !strcmp( $part['type'], "textarea" ) ){
			$str .= '<b class="n_empty">' . $FIXSTR['empt'] . '</b>';
		}
		// 項目ごとの設定
		if( $part[type] == "text" ){
			$str .= createText($part);
		}else if( $part[type] == "textarea" ){
			$str .= createTextarea($part);
		}else if( $part[type] == "radio" ){
			$str .= createRadio($part);
		}else if( $part[type] == "checkbox" ){
			$str .= createCheckbox($part);
		}else if( $part[type] == "select" ){
			$str .= createSelect($part);
		}else if( $part[type] == "date" ){
			$str .= createDate($part);
		}else if( $part[type] == "zip" ){
		// 住所データを読み込む
			$str .= SetZIP($part);
//			$str .= createZIP($part);
		}
		$str .= "\n";
		$INDEX++;
	}
	// 実行ボタン作成
	$str .= '<input type="submit" name="ent" value="' . $BTN['submit'] . '" class="button" tabindex="' . $INDEX * 100 . '">'."\n";
	// 終了
	$str .= "</form></div>";
	return $str;
}

function createFormView()
{
	global $ITEM;
	global $BTN;
	global $FIXSTR;
	global $ERRMSG;
	global $ERR_CODE;
	global $EMPT_NO;
	global $ICHK_NO;
	global $COMP_NO;
	global $DATE_NO;
	
	// 説明追加
	$str = '<div class="form_style"><div class="comment">必要項目を入力の上、「' . $BTN['submit'] .  '」ボタンを押してください。<br><b><font color="red">' . $FIXSTR['empt'] . '</font></b> は必ず入力して下さい。</div>' . "\n";

	// 必須項目が入力されていない時
	$loop = 1;
	if( $ERR_CODE[1] == 1 ){
		foreach( $EMPT_NO as $empt_no ){
			if( $empt_no == 1 ){
				// 必須項目が入力されていないので表示する
				if( !strcmp( $ITEM[$loop]['type'], "text" ) or !strcmp( $ITEM[$loop]['type'], "textarea" ) or !strcmp( $ITEM[$loop]['type'], "zip" ) ){
					$str .= '<br>⇒ <font class="error">『' . $ITEM[$loop]['title'] . '』</font> <font class="comment">' . $ERRMSG['iempt'] . "</font>\n";
				}else{
					$str .= '<br>⇒ <font class="error">『' . $ITEM[$loop]['title'] . '』</font> <font class="comment">' . $ERRMSG['sempt'] . "</font>\n";
				}
			}
			$loop++;
		}
	}
	// 入力されたデータが指定のタイプと違う時
	$loop = 1;
	if( $ERR_CODE[2] == 1 ){
		foreach( $ICHK_NO as $ichk_no ){
			if( $ichk_no ){
				// 項目の入力タイプが違うので表示する
				$str .= '<br>⇒ <font class="error">『' . $ITEM[$loop]['title'] . '』</font> <font class="comment">' . $ERRMSG['ichk'][$ichk_no] . "</font>\n";
			}
			$loop++;
		}
	}
	// 指定項目のデータが一致しない時
	$loop = 1;
	if( $ERR_CODE[3] == 1 ){
		foreach( $COMP_NO as $comp_no ){
			if( $comp_no ){
				// 項目のデータが一致しないので表示する
				$str .= '<br>⇒ <font class="error">『' . $ITEM[$loop]['title'] . '』</font><font class="comment">と</font><font class="error">『' . $ITEM[$comp_no]['title'] . '』</font> <font class="comment">' . $ERRMSG['comp'] . "</font>\n";
			}
			$loop++;
		}
	}
	// 日付項目の日付が存在しない時
	$loop = 1;
	if( $ERR_CODE[4] == 1 ){
		foreach( $DATE_NO as $date_no ){
			if( $date_no ){
				// 項目の日付が存在しないので表示する
				$str .= '<br>⇒ <font class="error">『' . $ITEM[$loop]['title'] . '』</font> <font class="comment">' . $ERRMSG['date'] . "</font>\n";
			}
			$loop++;
		}
	}
	// フォームの入力部品作成開始
	$str .= '<form method="POST" action="'.$_SERVER["PHP_SELF"].'">'."\n";
	// タブインデックスの初期値設定
	$INDEX = 1;
	// ユーザー定義のコントロール作成
	foreach( $ITEM as $part ){
		// タブインデックス値の設定
		if( !isset($part['tab']) ){
			$part['tab'] = $INDEX * 100;
		}
		// 項目名を表示
		$str .= '<dl><dt>' . $part['title'] . '</dt><dd>';
		
		// 補足説明の付加
		if( isset($part['hint'][1]) ){
			foreach($part[hint] as $value ){
				$str .= '<b class="hint">' . $value . "</b><br>";
			}
			$str .= "<br>";
		}
		// 必須項目の設定
		if( isset($part['empt']) ){
			if( $part['empt'] == 1 ){
				$str .= '<b class="empty">' . $FIXSTR['empt'] . '</b>';
			}else if( !strcmp( $part['type'], "date" ) or !strcmp( $part['type'], "text" ) or !strcmp( $part['type'], "textarea" ) ){
				$str .= '<b class="n_empty">' . $FIXSTR['empt'] . '</b>';
			}
		}else if( !strcmp( $part['type'], "date" ) or !strcmp( $part['type'], "text" ) or !strcmp( $part['type'], "textarea" ) ){
			$str .= '<b class="n_empty">' . $FIXSTR['empt'] . '</b>';
		}
		// 項目ごとの設定
		if( $part[type] == "text" ){
			$str .= createText($part);
		}else if( $part[type] == "textarea" ){
			$str .= createTextarea($part);
		}else if( $part[type] == "radio" ){
			$str .= createRadio($part);
		}else if( $part[type] == "checkbox" ){
			$str .= createCheckbox($part);
		}else if( $part[type] == "select" ){
			$str .= createSelect($part);
		}else if( $part[type] == "date" ){
			$str .= createDate($part);
		}else if( $part[type] == "zip" ){
			$str .= createZIP($part);
		}
		$str .= "\n";
		$INDEX++;
	}
	// 実行ボタン作成
	$str .= '<input type="submit" name="ent" value="' . $BTN['submit'] . '" class="button" tabindex="' . $INDEX * 100 . '">'."\n";
	// 終了
	$str .= "</form></div>";
	return $str;
}

function createConfirmationView()
{
	global $ITEM;
	global $PAGE;
	global $BTN;
	global $FIXSTR;
	global $ERRMSG;
	global $ERR_CODE;
	global $EMPT_NO;
	global $ICHK_NO;
	global $COMP_NO;
	global $STATE_CODE;
	
	// 説明追加
	$str = '<div class="form_style"><div class="comment">入力内容を確認の上、「' . $BTN['regist'] .  '」ボタンを押してください。<br><b><font color="red"></div>' . "\n";

	// フォームの作成開始
	$url = str_replace( "index.php", "mail.php", $_SERVER["PHP_SELF"] );
	$str .= '<form method="POST" action="' . $url . '">'."\n";
	// 入力データを表示
	foreach( $ITEM as $part ){
		// 項目名を表示
		$str .= '<dl><dt><font class="confirmation">' . $part['title'] . '</font></dt><dd id="indent_dd">';

		// 入力内容を表示
		if( !strcmp( $part['type'], "zip" ) ){
			// 住所ボックス
			$str .= '<input type="hidden" name="'. $part['name'] . '" value="' . escTStr( $_POST[$part['name']] ) . '">' . "\n";
			$str .= "〒 " . escTStr( $_POST[$part['name']] );
			$str .= '<input type="hidden" name="'. $part['name'] . "_pref" . '" value="' . escTStr( $_POST[$part['name']."_pref"] ) . '">' . "\n";
			$str .= "<br><br>" . $STATE_CODE[escTStr( $_POST[$part['name']."_pref"] )];
			$str .= '<input type="hidden" name="'. $part['name'] . "_city" . '" value="' . escTStr( $_POST[$part['name']."_city"] ) . '">' . "\n";
			$str .= escTStr( $_POST[$part['name']."_city"] );
			$str .= '<input type="hidden" name="'. $part['name'] . "_strt" . '" value="' . escTStr( $_POST[$part['name']."_strt"] ) . '">' . "\n";
			$str .= escTStr( $_POST[$part['name']."_strt"] );
			$str .= '<input type="hidden" name="'. $part['name'] . "_rest" . '" value="' . escTStr( $_POST[$part['name']."_rest"] ) . '">' . "\n";
			$str .= escTStr( $_POST[$part['name']."_rest"] );

			$str .= '</dd></dl>';
		}else if( !strcmp( $part['type'], "checkbox" ) ){
			// チェックボックス
			$i = 1;
			foreach( $part['val'] as $value ){
				if( isset( $_POST[$part['name'].$i] ) ){
					$str .= '<input type="hidden" name="'. $part['name'].$i . '" value="' . escTStr( $_POST[$part['name'].$i] ) . '">' . "\n";
					$str .= escTStr( $_POST[$part['name'].$i] ) . '<br>' . "\n";
				}
				$i++;
			}
			if( $i == 1 ){
				$str .= "";
			}
			$str .= '</dd></dl>';
		}else if( !strcmp( $part['type'], "date" ) ){
			// 日付
			$str .= '<input type="hidden" name="'. $part['name'] . '_y" value="' . escTStr( $_POST[$part['name']."_y"] ) . '">' . "\n";
			$str .= '<input type="hidden" name="'. $part['name'] . '_m" value="' . escTStr( $_POST[$part['name']."_m"] ) . '">' . "\n";
			$str .= '<input type="hidden" name="'. $part['name'] . '_d" value="' . escTStr( $_POST[$part['name']."_d"] ) . '">' . "\n";
			$str .= str_replace( "\n", '<br>', escTStr( $_POST[$part['name']."_y"] ) ) . '　年　';
			$str .= str_replace( "\n", '<br>', escTStr( $_POST[$part['name']."_m"] ) ) . '　月　';
			$str .= str_replace( "\n", '<br>', escTStr( $_POST[$part['name']."_d"] ) ) . '　日</dd></dl>';
		}else{
			// チェックボックス、日付以外
			if( strlen( $_POST[$part['name']] ) ){
				$str .= '<input type="hidden" name="'. $part['name'] . '" value="' . escTStr( $_POST[$part['name']] ) . '">' . "\n";
				$str .= str_replace( "\n", '<br>', escTStr( $_POST[$part['name']] ) );
			}
			$str .= '</dd></dl>';
		}
		$str .= "\n";
	}
	// 送信ボタン作成
	$str .= '<input type="submit" name="ent" class="button" value="' . $BTN['regist'] . '">' . "\n";
	// 戻るボタン作成
	$str .= '　　　<input type="button" name="ret" class="button" value="' . $BTN['return'] . '" onClick="self.history.back()">' . "\n";
	// 終了
	$str .= "</form></div>";
	return $str;
}

function createHtmlPage($strFileName, $strTitle, $strForm)
{
	// テンプレートHTMLを読み込んでタイトル、フォームを挿入
	$str = file_get_contents($strFileName);
	$str = preg_replace("/<!--TITLE_TAG-->/", $strTitle, $str);
	$str = preg_replace("/<!--FORM_TAG-->/", $strForm, $str);

	return $str;
}

function escTStr( $str )
{
	// データをエスケープして返す
	if( get_magic_quotes_gpc() ){
		$str = stripslashes( $str );
	}
	return htmlspecialchars( $str );
}

function createText($part)
{
	// TEXT 部品作製
	$str .= '<input type="' . $part['type'] . '" name="'. $part['name'] . '"';
	
	// [size]属性指定
	if( isset($part['len']) )
	{
		if($part['len']>41)
		{
			$str .= ' size="41"';
		}
		else
		{
			$str .= ' size="' . $part['len'] . '"';
		}
	}
	// [maxlength]属性指定
	if( isset($part['max']) ){
		$str .= ' maxlength="' . $part['max'] . '"';
	}
	// [value]属性指定
	if( isset($part['val']) ){
		$str .= ' value="' . $part['val'] . '"';
	}
	// [tabindex]属性指定
	$str .= ' tabindex="' . $part['tab'] . '"';

	// 入力文字タイプの指定
	if( isset($part['alph']) ){
		if($part['alph'] == 1 ){
			$str .= ' style="ime-mode:disabled"';
		}
		else if($part[alph] == 2 ){
			$str .= ' style="ime-mode:active"';
		}
	}
	$str .= "></dd></dl>";
	return $str;
}

function createTextarea($part)
{
	// TEXTAREA 部品作製
	$str .= '<textarea name="'. $part['name'] . '"';
	
	// [cols]属性指定
	if( isset($part['cols']) )
	{
		if($part['cols']>32)
		{
			$str .= ' cols="32"';
		}
		else
		{
			$str .= ' cols="' . $part['cols'] . '"';
		}
	}
	// [rows]属性指定
	if( isset($part['rows']) ){
		$str .= ' rows="' . $part['rows'] . '"';
	}
	// [tabindex]属性指定
	$str .= ' tabindex="' . $part['tab'] . '"';

	// 入力文字タイプの指定
	if( isset($part['alph']) ){
		if($part[alph] == 1 ){
			$str .= ' style="ime-mode:disabled"';
		}
		else if($part[alph] == 2 ){
			$str .= ' style="ime-mode:active"';
		}
	}
	// [value]属性指定
	if( isset($part['val']) ){
		$str .= ">" . $part['val'] . "</textarea></dd></dl>";
	}else{
		$str .= "></textarea></dd></dl>";
	}
	return $str;
}

function createRadio($part)
{
	$loop = 1;
	
	// 必須項目指定があれば改行を入れる
	if( isset( $part['empt'] ) ){
		if( $part['empt'] == 1 ){
			$str = '<br>';
		}
	}
	// RADIO 部品作製
	foreach( $part['val'] as $value ){
		$str .= '<input type="' . $part['type'] . '" name="'. $part['name'] . '"';
		
		// [value]属性指定
		$str .= ' value="' . $value . '"';
		// [tabindex]属性指定
		$str .= ' tabindex="' . $part['tab'] . '"';
		// チェックマークの付加
		if( $part['sel'] == $loop ){
			$str .= ' checked';
		}
		$str .= ">". $value . "\n";
		// 改行指定
		if( $part['brk'] == 1 ){
			$str .= '<br>';
		}
		$loop++;
	}
	$str .= "</dd></dl>";
	return $str;
}

function createCheckbox($part)
{
	$loop = 1;

	// 必須項目指定があれば改行を入れる
	if( isset( $part['empt'] ) ){
		if( $part['empt'] == 1 ){
			$str = '<br>';
		}
	}
	// CHECKBOX 部品作製
	foreach( $part['val'] as $value ){
		// 改行指定がある時
		if( $part['brk'] == 1 ){
			$str .= '　';
		}
		$str .= '<input type="' . $part['type'] . '" name="'. $part['name'] . $loop . '"';
		
		// [value]属性指定
		$str .= ' value="' . $value . '"';
		// [tabindex]属性指定
		$str .= ' tabindex="' . $part['tab'] . '"';
		// チェックマークの付加
		if( $part['sel'][$loop] == 1 ){
			$str .= ' checked';
		}
		$str .= ">". $value . "\n";
		// 改行指定がある時
		if( $part['brk'] == 1 ){
			$str .= '<br>';
		}
		$loop++;
	}
	$str .= "</dd></dl>";
	return $str;
}

function createSelect($part)
{
	$loop = 1;

	// 必須項目指定があれば改行を入れる
	if( isset( $part['empt'] ) ){
		if( $part['empt'] == 0 ){
			$str = ' 　';
		}
	}else{
		$str = '　　';
	}
	// SELECT 部品作製
	$str .= '<select name="'. $part['name'] . '"';
	// [size]属性指定
	if( isset($part['size'] ) ){
		$str .= ' size="' . $part['size'] . '"';
	}else{
		$str .= ' size="1"';
	}
	// [tabindex]属性指定
	$str .= ' tabindex="' . $part['tab'] . '">';
	// 必須項目の場合は空行を追加
	if( $part['empt'] == 1 ){
		$str .= '<option value="nosel" selected>選択して下さい' . "\n";
	}
	// [option]タグの作成・・・[value]属性指定
	foreach( $part['val'] as $value ){
		$str .= '<option value="' . $value . '"';
		// チェックマークの付加
		if( $part['sel'] == $loop ){
			$str .= ' selected';
		}
		$str .= '>' . $value . "\n";
		$loop++;
	}
	$str .= "</select></dd></dl>";
	return $str;
}

function createDate($part)
{
	$tab_index = intval($part['tab']);

	// DATE 部品作製

	// 年 選択リスト
	$str .= '<select name="'. $part['name'] . '_y"';
	// [size]属性指定
	$str .= ' size="1"';
	// [tabindex]属性指定
	$str .= ' tabindex="' . $tab_index . '">';
	// OPTION 追加
	$year = intval( date( "Y" ) );
	for( $i = 1; $i <= 5; $i++ ){
		$str .= '<option value="' . $year . '"';
		// チェックマークの付加
		if( !isset( $part['val']['y'] ) ){
			if( $i == 1 ){
				$str .= ' selected';
			}
		}else if( $year == intval( $part['val']['y']) ){
			$str .= ' selected';
		}
		$str .= '>' . $year . "　\n";
		$year++;
	}
	$str .= '</select><b class="inp_msg">年　</b>';
	$tab_index++;

	// 月 選択リスト
	$str .= '<select name="'. $part['name'] . '_m"';
	// [size]属性指定
	$str .= ' size="1"';
	// [tabindex]属性指定
	$str .= ' tabindex="' . $tab_index . '">';
	// OPTION 追加
	$month = intval( date( "m" ) );
	for( $i = 1; $i <= 12; $i++ ){
		$str .= '<option value="' . $i . '"';
		// チェックマークの付加
		if( !isset( $part['val']['m'] ) ){
			if( $i == $month ){
				$str .= ' selected';
			}
		}else if( $i == intval( $part['val']['m']) ){
			$str .= ' selected';
		}
		$str .= '>' . $i . "　\n";
	}
	$str .= '</select><b class="inp_msg">月　</b>';
	$tab_index++;

	// 日 選択リスト
	$str .= '<select name="'. $part['name'] . '_d"';
	// [size]属性指定
	$str .= ' size="1"';
	// [tabindex]属性指定
	$str .= ' tabindex="' . $tab_index . '">';
	// OPTION 追加
	$day = intval( date( "d" ) );
	for( $i = 1; $i <= 31; $i++ ){
		$str .= '<option value="' . $i . '"';
		// チェックマークの付加
		if( !isset( $part['val']['d'] ) ){
			if( $i == $day ){
				$str .= ' selected';
			}
		}else if( $i == intval( $part['val']['d']) ){
			$str .= ' selected';
		}
		$str .= '>' . $i . "　\n";
	}
	$str .= '</select><b class="inp_msg">日</b></dd></dl>';
	return $str;
}

function createZIP($part)
{
	global $STATE_CODE;

	$tab_index = intval($part['tab']);

	// ZIP 部品作製 (住所自動入力コントロール)

	// 郵便番号入力テキスト
	$str .= '<br><table cellspacing="0" cellpadding="0"><tr><td><font size="2">
	　郵便番号</font></td><td><input type="text" name="' . $part['name'] . '"value="'. $part['val']['zip'] .'" tabindex="' . $tab_index++ . '" size="10" maxlength="8" style="ime-mode:disabled;">
	  <button type="submit" name="' . $part['name'] . '_ent" value="住所検索" tabindex="' . $tab_index++ . '">
	  <img src="img/zip.gif" alt="自動入力" title="自動入力" width="18" height="18"></button></td></tr>';

	// 県 選択リスト
	$str .= '<tr><td><font size="2">　都道府県</font></td><td><select name="' . $part['name'] . '_pref" tabindex="' . $tab_index++ . '"><option value="">選択して下さい</option>';
	for( $i = 1; $i <= 47; $i++ ){
		// 都道府県名を挿入
		if( $i == $part['val']['pref'] ){
			$str .= '<option value="' . $i .'" selected>' . $STATE_CODE[$i] . '</option>';
		}else{
			$str .= '<option value="' . $i .'">' . $STATE_CODE[$i] . '</option>';
		}
	}
	$str .= '</select></td></tr>';

	$str .= '<tr><td><font size="2">　市区町村</font></td><td><input type="text" name="' . $part['name'] . '_city" value="'. $part['val']['city'] .'" tabindex="' . $tab_index++ . '" size="35" style="ime-mode:active;"></td></tr>
			<tr><td><font size="2">　番　　　地</font></td><td><input type="text" name="' . $part['name'] . '_strt" value="'. $part['val']['strt'] .'" tabindex="' . $tab_index++ . '" size="35" style="ime-mode:active;"></td></tr>
			<tr><td><font size="2">　建物・号室　</font></td><td><input type="text" name="' . $part['name'] . '_rest" value="'. $part['val']['rest'] .'" tabindex="' . $tab_index++ . '" size="35" style="ime-mode:active;"></td></tr>
			</table>';

	$str .= "</dd></dl>";
	return $str;
}

function SetZIP($part)
{
	global $STATE_CODE;
	global $ZIPFILE;
	global $CITY_ESC;

	// 入力された郵便番号を取得
	$zip_code = str_replace( "-", "", $part['val']['zip'] );

	// 住所データファイルを開く
	$fzip = fopen( $ZIPFILE, "r" );
	$part['val']['pref'] = "";
	$part['val']['city'] = "";

	// 郵便番号から住所データを取得する
	while( $array = fgetcsv( $fzip, 1000, "," ) ){
		if( !strcmp( $array[2], $zip_code ) ){
			// 文字列をエンコードする
			$pref = mb_convert_encoding( $array[6], "UTF-8", "Shift-JIS");
			$city1 = mb_convert_encoding( $array[7], "UTF-8", "Shift-JIS");
			$city2 = mb_convert_encoding( $array[8], "UTF-8", "Shift-JIS");

			foreach( $CITY_ESC as $city_esc ){
				$city2 = str_replace( $city_esc, "", $city2 );
			}
			$part['val']['pref'] = $STATE_CODE[$pref];
			$part['val']['city'] = $city1 . $city2;
			break;
		}
	}

	// 住所データファイルを閉じる
	fclose( $fzip );

	// ZIP 部品作製 (住所自動入力コントロール)
	$tab_index = intval($part['tab']);

	// 郵便番号入力テキスト
	$str .= '<br><table cellspacing="0" cellpadding="0"><tr><td><font size="2">
	　郵便番号</font></td><td><input type="text" name="' . $part['name'] . '"value="'. $part['val']['zip'] .'" tabindex="' . $tab_index++ . '" size="10" maxlength="8" style="ime-mode:disabled;">
	  <button type="submit" name="' . $part['name'] . '_ent" value="住所検索" tabindex="' . $tab_index++ . '">
	  <img src="img/zip.gif" alt="自動入力" title="自動入力" width="18" height="18"></button></td></tr>';

	// 県 選択リスト
	$str .= '<tr><td><font size="2">　都道府県</font></td><td><select name="' . $part['name'] . '_pref" tabindex="' . $tab_index++ . '"><option value="">選択して下さい</option>';
	for( $i = 1; $i <= 47; $i++ ){
		// 都道府県名を挿入
		if( $i == $part['val']['pref'] ){
			$str .= '<option value="' . $i .'" selected>' . $STATE_CODE[$i] . '</option>';
		}else{
			$str .= '<option value="' . $i .'">' . $STATE_CODE[$i] . '</option>';
		}
	}
	$str .= '</select></td></tr>';

	$str .= '<tr><td><font size="2">　市区町村</font></td><td><input type="text" name="' . $part['name'] . '_city" value="'. $part['val']['city'] .'" tabindex="' . $tab_index++ . '" size="35"></td></tr>
			<tr><td><font size="2">　番　　　地</font></td><td><input type="text" name="' . $part['name'] . '_strt" value="'. $part['val']['strt'] .'" tabindex="' . $tab_index++ . '" size="35"></td></tr>
			<tr><td><font size="2">　建物・号室　</font></td><td><input type="text" name="' . $part['name'] . '_rest" value="'. $part['val']['rest'] .'" tabindex="' . $tab_index++ . '" size="35"></td></tr>
			</table>';

	$str .= "</dd></dl>";
	return $str;
}

function checkPostData($iNo, $str){
	// UTF-8 **************************************
	// メールアドレス
	$Pat[1] = '/^(?:[^(\040)<>@,;:".\\\\\[\]\000-\037\x80-\xff]+(?![^(\040)<>@,;:".\\\\\[\]\000-\037\x80-\xff])|"[^\\\\\x80-\xff\n\015"]*(?:\\\\[^\x80-\xff][^\\\\\x80-\xff\n\015"]*)*")(?:\.(?:[^(\040)<>@,;:".\\\\\[\]\000-\037\x80-\xff]+(?![^(\040)<>@,;:".\\\\\[\]\000-\037\x80-\xff])|"[^\\\\\x80-\xff\n\015"]*(?:\\\\[^\x80-\xff][^\\\\\x80-\xff\n\015"]*)*"))*@(?:[^(\040)<>@,;:".\\\\\[\]\000-\037\x80-\xff]+(?![^(\040)<>@,;:".\\\\\[\]\000-\037\x80-\xff])|\[(?:[^\\\\\x80-\xff\n\015\[\]]|\\\\[^\x80-\xff])*\])(?:\.(?:[^(\040)<>@,;:".\\\\\[\]\000-\037\x80-\xff]+(?![^(\040)<>@,;:".\\\\\[\]\000-\037\x80-\xff])|\[(?:[^\\\\\x80-\xff\n\015\[\]]|\\\\[^\x80-\xff])*\]))*$/u';
	// URL
	$Pat[2] = '/^(https|http)(:\/\/[-_.!~*\'()a-zA-Z0-9;\/?:\@&=+\$,%#]+)$/u';
	// 郵便番号
	$Pat[3] = '/(^\d{3}\-\d{4}$) | (^\d{7}$)/u';
	// 電話番号
	$Pat[4] = '"/(^(?<!090|080|070)\d{10}$)|(^(090|080|070)\d{8}$)|(^0120\d{6}$)|(^0080\d{7}$)|(^(?<!090|080|070)(^\d{2,5}?\-\d{1,4}?\-\d{4}$|^[\d\-]{12}$))|(^(090|080|070)(\-\d{4}\-\d{4}|[\\d-]{13})$)|(^0120(\-\d{2,3}\-\d{3,4}|[\d\-]{12})$)|(^0080\-\d{3}\-\d{4})/u"';
//	$Pat[4] = '/^[0-9\-]+$/u';
	// 半角英数字
	$Pat[5] = '/^[0-9A-Za-z]+$/u';
	// 半角英字
	$Pat[6] = '/^[A-Za-z]+$/u';
	// 半角数字
	$Pat[7] = '/^[0-9]+$/u';
	// ひらがな
	$Pat[8] = '/^[ぁ-んー]+$/u';
	// 全角カタカナ
	$Pat[9] = '/^[ァ-ヴー]+$/u';
	//*********************************************

	// データのチェック
	if( isset( $str ) and strlen( $str ) ){
		if( preg_match( $Pat[$iNo], $str ) ){
			return TRUE;
		}else{
			return FALSE;
		}
	}
	return TRUE;
}

function convZipToAddress($zip)
{
	$searchzip = str_replace('-', '', $zip);

	// 郵便番号ファイルオープン
	$fp = fopen($ZIPFILE, 'r');

	// 郵便番号検索
	while ( ($csv = fgetcsv($fp, 1000)) != FALSE) {
		$get_zip = $csv[2];
		$get_todou = $csv[6];
		$get_sikuchou = $csv[7];
		$get_chouiki = $csv[8];

		if ($searchzip == $get_zip) {
			fclose($fp);  // 不要ですが、一応念のため
			$ret = $get_todou.$get_sikuchou.$get_chouiki;
			return mb_convert_encoding($ret, RET_ENCODE, 'SJIS-win');
		}
	}
	fclose($fp);

	return FALSE;
}

function strPrint( $str ){
	echo "<br>----------------<br>";
	echo $str;
	echo "<br>----------------<br>";
}

?>
